Backgrounds
Interface with the autoZnetwork inventory background removals for images.
Vehicle Backgrounds (Private Access)
The organization must be subscribed to the autoZnetwork Background Removal Add-On in order to make use of these endpoints.
List Vehicle Backgrounds
GET Request: https://api.autoznetwork.com/v1/inventory_backgrounds
AUTOZNETWORK_TOKEN="your API token"
AUTOZNETWORK_ORG_ID="your organization id"
curl https://api.autoznetwork.com/v1/inventory_backgrounds \
-H "Authorization: Bearer $AUTOZNETWORK_TOKEN" \
-H "X-AutozNetwork-Organization-Id: $AUTOZNETWORK_ORG_ID" \
-H 'Accept: application/json'
<?php
$apiToken = 'ABCD12345 ...';
$organizationId = '1234';
$autoZnetwork = new AutozNetwork($apiToken);
$backgrounds = $autoznetwork
->withOrganization($organizationId)
->inventoryBackgrounds()
->get();
print($backgrounds)
Add a Vehicle Background
POST Request: https://api.autoznetwork.com/v1/inventory_backgrounds
AUTOZNETWORK_TOKEN="your API token"
AUTOZNETWORK_ORG_ID="your organization id"
curl -X POST https://api.autoznetwork.com/v1/inventory_backgrounds \
-H "Authorization: Bearer $AUTOZNETWORK_TOKEN" \
-H "X-AutozNetwork-Organization-Id: $AUTOZNETWORK_ORG_ID" \
-H 'Accept: application/json'
<?php
$apiToken = 'ABCD12345 ...';
$organizationId = '1234';
$autoZnetwork = new AutozNetwork($apiToken);
$background = $autoznetwork
->withOrganization($organizationId)
->inventoryBackgrounds()
->create([
'url' => 'urltoimagehere.jpg'
]);
print($background)